import java.util.*;
public class TestHashOpenAddress {
    static class ExamMark {
	int english;
	int math;
	int physics;
	int chemistry;
	public ExamMark(int e,int m,int p,int c) {
	    english = e; math = m; physics = p; chemistry= c;
	}
	public String toString() {
	    return "["+english+","+math+","+physics+","+chemistry+"]";
	}
    }
    public static void main(String[] args) {
	Scanner sc = new Scanner(System.in);
	HashOpenAddress hoa = new HashOpenAddress(11);
	while (sc.hasNext()) {
	    String line = sc.nextLine();
	    Scanner scLine = new Scanner(line);
	    String cmd = scLine.next();
	    if (cmd.equals("exit")) {
		break;
	    } else if (cmd.equals("insert")) {
		String id = scLine.next();
		int english = scLine.nextInt();
		int math = scLine.nextInt();
		int physics = scLine.nextInt();
		int chemistry = scLine.nextInt();
		hoa.insert(id, new ExamMark(english,math,physics,chemistry));
	    } else if (cmd.equals("find")) {
		String id =scLine.next();
		System.out.println(hoa.find(id));
	    } else if (cmd.equals("delete")) {
		String id =scLine.next();
		System.out.println(hoa.delete(id));
	    } else if (cmd.equals("show")) {
		System.out.println(hoa);
	    }
	}
    }
}
